/*
** Update the course information in DB
** Class: UpdateCourse
** Author:Yuping Zhu
** Date: 03-25-1999
*/

package ascdb.courses;

//import oracle.html to generate dynamic HTML page
import oracle.html.*;

//import package java.sql to use JDBC
import java.sql.*;

import javax.servlet.*;
import javax.servlet.http.*;
import java.io.*;

import ascdb.conf;
import ascdb.pub.UserCheck;

public class UpdateCourse extends HttpServlet {
    public void doPost(HttpServletRequest req, HttpServletResponse res)
		throws ServletException, IOException
	{
	
        // Output HTML page header
        res.setContentType("text/html");
	PrintWriter out = res.getWriter();
	conf dbconf= new conf(req);
	String uid = req.getParameter("me");
	UserCheck u = new UserCheck(uid);
	

	String outMessage = "Course information has been input into DB";
	String cidStr = req.getParameter("cid");
	int cid = (new Integer(cidStr)).intValue();
        int op = (new Integer(req.getParameter("op"))).intValue();
	String Syllabus = req.getParameter("syllabus");
	String OverView = req.getParameter("descriptions");
	String preReq = req.getParameter("prerequire");
	

	try {
	   // Creates an HtmlHead Object
	   HtmlHead hd = new HtmlHead("Input Course Syllabus");
	
           // Create an HtmlBody Object
 	   HtmlBody bd = new HtmlBody();

	   // Sets various attributes of HtmlBody
           bd.setBackgroundColor("#fffff2");

	   // Creates an HtmlPage object using hd and bd
	   HtmlPage hp = new HtmlPage(hd, bd);

	   if (((op == 1) & (u.UserRole(1) < 0) & (u.UserRole(3) < 0)) | ((op == 3) & (u.UserRole(1) < 0)))
	   {
		hp.addItem(new SimpleItem("You have no this privilegel"));
 		out.println(hp);
		return;
	    }

	  // Load the Oracle JDBC driver
	  Class.forName (dbconf.JdbcDriver);

	  // Connect to the database
	  Connection conn =
		DriverManager.getConnection (dbconf.ConnectStr,dbconf.DBName,dbconf.DBPassword);
	
	  // Create a Statement
	  Statement stmt = conn.createStatement ();
	  int rcount = 0;
	  if (op == 1)
		
		// execute query
	  	rcount = stmt.executeUpdate("update courses set overview = '" + OverView + "', agenda = '" + Syllabus + "',prerequisites = '" + preReq + "'  where course_id = " + cid);

	  else if (op == 3)
	  {
		// Get all parameters
	  	String CourseNum = req.getParameter("num");
		String tit = req.getParameter("tit");
		int Days = (new Integer(req.getParameter("days"))).intValue();
		// execute query
		rcount = stmt.executeUpdate("update courses set overview = '" + OverView + "', agenda = '" + Syllabus + "',prerequisites = '" + preReq + "',course_num = '" + CourseNum + "',title = '" + tit + "',duration = " + Days  + " where course_id = " + cid);
		outMessage = "Course information has been updated!";
//		hp.addItem(new SimpleItem(tit));
	  }
	
	  // output HTML page
	  hp.addItem(new SimpleItem(outMessage));
	  out.println(hp);
	}
	catch (ClassNotFoundException e) {
	 out.println("Can not loda JDBC driver: " + e.getMessage());
	}
	catch (SQLException e) {
	  out.println(e.getMessage());
	}
	catch(Exception e) {
        out.println(e.getMessage());
        }
}
} 	


